%define name repoman
%define version 2.0.0
%define unmangled_version 2.0.0
%define unmangled_version 2.0.0
%define release 1

Summary: Manage artifact repositories
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPLv3
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: oVirt Infrastructure/CI team <infra@ovirt.org>

%if 0%{?fedora} >= 1
Requires: python-pexpect
%else
Requires: pexpect
%endif


%if 0%{?fedora} || 0%{?rhel} >= 7
Requires: rpm-sign
%endif

Url: https://gerrit.ovirt.org/#/admin/projects/repoman
BuildRequires:python-dulwich
BuildRequires:python-setuptools
BuildRequires:python-pbr
Requires:createrepo
Requires:pyOpenSSL
Requires:koji
Requires:rpm-python
Requires:python-six
Requires:python-urllib3
Requires:python-requests
Requires:python-gnupg
Requires:python-argparse

%description
Running tests
==============

To run the tests you just have to have installed in your system a reasonable
new version of tox, and run 'tox' from the top dir of the project::

    > tox


Building the docs
==================

To build the docs, you can just run this from the root of the project::

    > tox -e docs

That will leave the docs under the path ``docs/_build/html/index.html``



%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
